Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.mappers
Class FilterMapper

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.FilterChain
                        |
                        +--org.apache.tools.ant.types.mappers.FilterMapper

All Implemented Interfaces:
  java.lang.Cloneable, FileNameMapper

public class FilterMapper
extends FilterChain
implements FileNameMapper

This is a FileNameMapper based on a FilterChain.

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`FilterMapper()`

Method Summary
`java.lang.String[]` | `mapFileName(java.lang.String sourceFileName)` Return the result of the filters on the sourcefilename.
`void` | `setFrom(java.lang.String from)` From attribute not supported.
`void` | `setTo(java.lang.String to)` From attribute not supported.

Methods inherited from class org.apache.tools.ant.types.FilterChain
`add, addClassConstants, addContainsRegex, addDeleteCharacters, addEscapeUnicode, addExpandProperties, addFilterReader, addHeadFilter, addIgnoreBlank, addLineContains, addLineContainsRegExp, addPrefixLines, addReplaceRegex, addReplaceString, addReplaceTokens, addStripJavaComments, addStripLineBreaks, addStripLineComments, addTabsToSpaces, addTailFilter, addTokenFilter, addTrim, getFilterReaders, setRefid`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterMapper

    public FilterMapper()

Method Detail

### setFrom

    public void setFrom(java.lang.String from)

  From attribute not supported.

  Specified by:
    `setFrom` in interface `FileNameMapper`
  Parameters:
    `from` - a string
  Throws:
    `BuildException` - always

### setTo

    public void setTo(java.lang.String to)

  From attribute not supported.

  Specified by:
    `setTo` in interface `FileNameMapper`
  Parameters:
    `to` - a string
  Throws:
    `BuildException` - always

### mapFileName

    public java.lang.String[] mapFileName(java.lang.String sourceFileName)

  Return the result of the filters on the sourcefilename.

  Specified by:
    `mapFileName` in interface `FileNameMapper`
  Parameters:
    `sourceFileName` - the filename to map
  Returns:
    a one-element array of converted filenames, or null if the filterchain returns an empty string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.